# print the preamble comments
1,3p
# delete comment lines preceeded by optional whitespace
# [space tab inside brackets]
/^[ 	]*#/d
# delete blank lines (all whitepace or empty)
# [space tab inside brackets]
/^[ 	]*$/d
# replace ip addreses using CDIR notation /8, /16, /22, /24, /26, /28
# and /32 with netmasks since that is how iptables-save represents
# them. Cdir is easier to type without mistakes so we use it in the
# maintained file.
s#\([0-9.]*\)/8#\1/255.0.0.0#g
s#\([0-9.]*\)/16#\1/255.255.0.0#g
s#\([0-9.]*\)/22#\1/255.255.252.0#g
s#\([0-9.]*\)/24#\1/255.255.255.0#g
s#\([0-9.]*\)/26#\1/255.255.255.192#g
s#\([0-9.]*\)/28#\1/255.255.255.240#g
s#\([0-9.]*\)/32#\1#g
# add exactly one space to the end of every line that starts with a - sign.
# since that is the form for iptables-save
/^-/s/[       ]*$/ /
